package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.XysImg;

/**
 * 图片管理Mapper接口
 * 
 * @author libao
 * @date 2024-07-08
 */
public interface XysImgMapper 
{
    /**
     * 查询图片管理
     * 
     * @param id 图片管理主键
     * @return 图片管理
     */
    public XysImg selectXysImgById(Long id);

    /**
     * 查询图片管理列表
     * 
     * @param xysImg 图片管理
     * @return 图片管理集合
     */
    public List<XysImg> selectXysImgList(XysImg xysImg);

    /**
     * 新增图片管理
     * 
     * @param xysImg 图片管理
     * @return 结果
     */
    public int insertXysImg(XysImg xysImg);

    /**
     * 修改图片管理
     * 
     * @param xysImg 图片管理
     * @return 结果
     */
    public int updateXysImg(XysImg xysImg);

    /**
     * 删除图片管理
     * 
     * @param id 图片管理主键
     * @return 结果
     */
    public int deleteXysImgById(Long id);

    /**
     * 批量删除图片管理
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteXysImgByIds(Long[] ids);
}
